package cn.com.poc.law.entity.motorVehicleDrivingComplaint;

import cn.com.poc.law.jsonSerializer.JacksonDateFormatDeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import java.util.Date;

/**
 * @Author：Roger Wu
 * @name：Plaintiff
 * @Date：2025-07-31 20:05
 */
public class Plaintiff {

    private String plaintiffName;
    private String plaintiffGender;
    @JsonDeserialize(using = JacksonDateFormatDeSerializer.class)
    private String plaintiffDob;
    private String plaintiffEthnicity;
    private String plaintiffWorkUnit;
    private String plaintiffTitle;
    private String plaintiffPhone;
    private String plaintiffDomicile;
    private String plaintiffHabitualResidence;
    private String plaintiffIdType;
    private String plaintiffIdNumber;

    public String getPlaintiffName() {
        return plaintiffName;
    }

    public void setPlaintiffName(String plaintiffName) {
        this.plaintiffName = plaintiffName;
    }

    public String getPlaintiffGender() {
        return plaintiffGender;
    }

    public void setPlaintiffGender(String plaintiffGender) {
        this.plaintiffGender = plaintiffGender;
    }

    public String getPlaintiffDob() {
        return plaintiffDob;
    }

    public void setPlaintiffDob(String plaintiffDob) {
        this.plaintiffDob = plaintiffDob;
    }

    public String getPlaintiffEthnicity() {
        return plaintiffEthnicity;
    }

    public void setPlaintiffEthnicity(String plaintiffEthnicity) {
        this.plaintiffEthnicity = plaintiffEthnicity;
    }

    public String getPlaintiffWorkUnit() {
        return plaintiffWorkUnit;
    }

    public void setPlaintiffWorkUnit(String plaintiffWorkUnit) {
        this.plaintiffWorkUnit = plaintiffWorkUnit;
    }

    public String getPlaintiffTitle() {
        return plaintiffTitle;
    }

    public void setPlaintiffTitle(String plaintiffTitle) {
        this.plaintiffTitle = plaintiffTitle;
    }

    public String getPlaintiffPhone() {
        return plaintiffPhone;
    }

    public void setPlaintiffPhone(String plaintiffPhone) {
        this.plaintiffPhone = plaintiffPhone;
    }

    public String getPlaintiffDomicile() {
        return plaintiffDomicile;
    }

    public void setPlaintiffDomicile(String plaintiffDomicile) {
        this.plaintiffDomicile = plaintiffDomicile;
    }

    public String getPlaintiffHabitualResidence() {
        return plaintiffHabitualResidence;
    }

    public void setPlaintiffHabitualResidence(String plaintiffHabitualResidence) {
        this.plaintiffHabitualResidence = plaintiffHabitualResidence;
    }

    public String getPlaintiffIdType() {
        return plaintiffIdType;
    }

    public void setPlaintiffIdType(String plaintiffIdType) {
        this.plaintiffIdType = plaintiffIdType;
    }

    public String getPlaintiffIdNumber() {
        return plaintiffIdNumber;
    }

    public void setPlaintiffIdNumber(String plaintiffIdNumber) {
        this.plaintiffIdNumber = plaintiffIdNumber;
    }
}
